#1305 AnyOrderQueryBond matches null

cdk-1.4.x
closed
None
5
2013-08-02
2013-06-17
Duece99
No

Hi,

I noticed this in AnyOrderQueryBond.java :

public boolean matches(IBond bond) {
        return true; // any bond order is fine
    }

Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

public boolean matches(IBond bond) {
        return bond != null; // any bond order is fine provided there is a bond
    }

Ed.

Related

Bugs: #1305

Discussion

  • John May

    John May - 2013-06-17

    Yes looks so. Could you make a patch with a unit test showing it shouldn't match.

    i.e
    [#6]~[#6] should not match 'OC.CO'

    On 17 Jun 2013, at 13:00, Duece99 duece99@users.sf.net wrote:

    [bugs:#1305] AnyOrderQueryBond matches null

    Status: open
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Mon Jun 17, 2013 12:00 PM UTC
    Owner: nobody

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305
    Project Maintainance Tasks: #6

  • John May

    John May - 2013-06-18

    Add the test to this class:
    https://github.com/johnmay/cdk/blob/master/src/test/org/openscience/cdk/smiles/smarts/parser/SMARTSSearchTest.java

    To submit the patch, create a new branch and publish it on github or create a patch with 'git format-pacth'. As an example if you want to make a patch for the previous commit, 'git format-patch HEAD~1' or the previous 2 'git format-patch HEAD~2'. Also don't include formatting changes.

    J

    On 18 Jun 2013, at 16:35, Duece99 duece99@users.sf.net wrote:

    Sure, I'll do that hopefully in a few days. There's a related bug I've
    found which I need to add as well on the report page.

    For reference where is the unit test that tests this class (I assume there
    is one) so that I can add this test to it?

    Ed.

    On 17 June 2013 14:53, John May jwmay@users.sf.net wrote:

    Yes looks so. Could you make a patch with a unit test showing it shouldn't
    match.

    i.e
    [#6] http://sourceforge.net/p/cdk/project-maintainance-tasks/6/~[#6]http://sourceforge.net/p/cdk/project-maintainance-tasks/6/should not match '
    OC.CO'

    On 17 Jun 2013, at 13:00, Duece99 duece99@users.sf.net wrote:

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/ AnyOrderQueryBond
    matches null

    Status: open
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Mon Jun 17, 2013 12:00 PM UTC
    Owner: nobody

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/AnyOrderQueryBond matches null
    *
    Status: open
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Mon Jun 17, 2013 12:00 PM UTC
    Owner: nobody

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] AnyOrderQueryBond matches null

    Status: open
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Mon Jun 17, 2013 12:00 PM UTC
    Owner: nobody

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305
    Project Maintainance Tasks: #6

  • Egon Willighagen

    • assigned_to: Egon Willighagen
     
  • Egon Willighagen

    I'm making patches...

     
  • Egon Willighagen

    John, I also wrote this test, following your suggestion, but that does not fail:

    /**
     * Indirect test of bug 1305 that shows that null bonds match {@link AnyOrderQueryBond}.
     *
     * @cdk.bug 1305
     */
    @Test public void testAnyOrderQueryBond() throws Exception {
        assertThat(match("[#6]~[#6]", "OC.CO"), is(new int[]{0, 0}));
    }
    

    Which kind of makes sense, because the UniversalIsomorphismTester only maches non-null IBonds...

    So, I will leave that out...

     
  • John May

    John May - 2013-08-02
    • status: open --> closed
     
  • John May

    John May - 2013-08-02

    Fixed, thanks Ed.

     
  • Duece99

    Duece99 - 2013-08-05

    Whoops accidental post, please delete this one! :)

    On 5 August 2013 09:57, Edmund Duesbury lip12ed@sheffield.ac.uk wrote:

    Cool that's good :)

    On 2 August 2013 13:45, John May jwmay@users.sf.net wrote:

    Fixed, thanks Ed.

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 11:45 AM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305


    Last edit: Duece99 2013-08-05
  • Duece99

    Duece99 - 2013-08-05

    Cool that's good :)

    On 2 August 2013 13:45, John May jwmay@users.sf.net wrote:

    Fixed, thanks Ed.

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 11:45 AM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305

  • John May

    John May - 2013-08-05

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Most likely due to atom typing. To give you an idea on ~350,000 structures from Zinc. The existing parser takes ~1000 seconds (with atom typing) and only ~7 seconds (no atom typing). This was written before there was a decent specification (i.e. default valencies) and so the typing can pretty much be by-passed now.

    J

    On 5 Aug 2013, at 10:16, Duece99 duece99@users.sf.net wrote:

    BTW, I've liaised with AMBIT to fix some bugs in their SMARTS Parser and we
    managed to get their SMARTS generator fixed - and I should point out that
    it's incredibly quick. You may be interested in looking into this and
    putting this into CDK.

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Ed.

    On 5 August 2013 09:57, Edmund Duesbury lip12ed@sheffield.ac.uk wrote:

    Cool that's good :)

    On 2 August 2013 13:45, John May jwmay@users.sf.net wrote:

    Fixed, thanks Ed.

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/AnyOrderQueryBond matches null
    *
    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 11:45 AM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] AnyOrderQueryBond matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305

  • John May

    John May - 2013-08-05

    Just checked… looks like they use OpenBabel by default which of course avoids the atom typing.

    On 5 Aug 2013, at 10:25, "John May" jwmay@users.sf.net wrote:

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Most likely due to atom typing. To give you an idea on ~350,000 structures from Zinc. The existing parser takes ~1000 seconds (with atom typing) and only ~7 seconds (no atom typing). This was written before there was a decent specification (i.e. default valencies) and so the typing can pretty much be by-passed now.

    J

    On 5 Aug 2013, at 10:16, Duece99 duece99@users.sf.net wrote:

    BTW, I've liaised with AMBIT to fix some bugs in their SMARTS Parser and we
    managed to get their SMARTS generator fixed - and I should point out that
    it's incredibly quick. You may be interested in looking into this and
    putting this into CDK.

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Ed.

    On 5 August 2013 09:57, Edmund Duesbury lip12ed@sheffield.ac.uk wrote:

    Cool that's good :)

    On 2 August 2013 13:45, John May jwmay@users.sf.net wrote:

    Fixed, thanks Ed.

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/AnyOrderQueryBond matches null
    *
    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 11:45 AM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] AnyOrderQueryBond matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] AnyOrderQueryBond matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305

  • Duece99

    Duece99 - 2013-08-05

    Hi,

    In this context, what do you mean by "atom typing?" I have read the SMILES
    papers before but found them strangely difficult to understand certain
    parts of. Are you referring to the invariants rule?

    Ed.

    On 5 August 2013 10:29, John May jwmay@users.sf.net wrote:

    Just checked… looks like they use OpenBabel by default which of course
    avoids the atom typing.

    On 5 Aug 2013, at 10:25, "John May" jwmay@users.sf.net wrote:

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Most likely due to atom typing. To give you an idea on ~350,000 structures
    from Zinc. The existing parser takes ~1000 seconds (with atom typing) and
    only ~7 seconds (no atom typing). This was written before there was a
    decent specification (i.e. default valencies) and so the typing can pretty
    much be by-passed now.

    J

    On 5 Aug 2013, at 10:16, Duece99 duece99@users.sf.net wrote:

    BTW, I've liaised with AMBIT to fix some bugs in their SMARTS Parser and we
    managed to get their SMARTS generator fixed - and I should point out that
    it's incredibly quick. You may be interested in looking into this and
    putting this into CDK.

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Ed.

    On 5 August 2013 09:57, Edmund Duesbury lip12ed@sheffield.ac.uk wrote:

    Cool that's good :)

    On 2 August 2013 13:45, John May jwmay@users.sf.net wrote:

    Fixed, thanks Ed.

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/
    http://sourceforge.net/p/cdk/bugs/1305/AnyOrderQueryBond matches null
    *
    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 11:45 AM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/ AnyOrderQueryBond
    matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/ AnyOrderQueryBond
    matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/


    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305

  • John May

    John May - 2013-08-05

    No, the atom typing perceives (fills in) missing information on atoms.

    There's a couple of them but the main one is - https://github.com/cdk/cdk/blob/master/src/main/org/openscience/cdk/atomtype/CDKAtomTypeMatcher.java. It's basically a huge decision tree. Sometimes you need it sometimes you don't - it is useful but often quite slow. The existing SmilesParser will automatically invoke atom typing for you - https://github.com/cdk/cdk/blob/master/src/main/org/openscience/cdk/smiles/SmilesParser.java#L258-L274 hence people include this time in benchmark but really it isn't needed. One of the main advantages for the atom typer is to work out how many implicit hydrogens an atom has. Now we have better specifications for SMILES this information can actually be calculated directly. I'm looking at patching the SMIlES soonish and the automatic atom typing will be removed.

    J

    On 5 Aug 2013, at 10:52, "Duece99" duece99@users.sf.net wrote:

    Hi,

    In this context, what do you mean by "atom typing?" I have read the SMILES
    papers before but found them strangely difficult to understand certain
    parts of. Are you referring to the invariants rule?

    Ed.

    On 5 August 2013 10:29, John May jwmay@users.sf.net wrote:

    Just checked… looks like they use OpenBabel by default which of course
    avoids the atom typing.

    On 5 Aug 2013, at 10:25, "John May" jwmay@users.sf.net wrote:

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Most likely due to atom typing. To give you an idea on ~350,000 structures
    from Zinc. The existing parser takes ~1000 seconds (with atom typing) and
    only ~7 seconds (no atom typing). This was written before there was a
    decent specification (i.e. default valencies) and so the typing can pretty
    much be by-passed now.

    J

    On 5 Aug 2013, at 10:16, Duece99 duece99@users.sf.net wrote:

    BTW, I've liaised with AMBIT to fix some bugs in their SMARTS Parser and we
    managed to get their SMARTS generator fixed - and I should point out that
    it's incredibly quick. You may be interested in looking into this and
    putting this into CDK.

    Their SMILES reading/writing is also pretty quick (I've noticed that as my
    hyperstructures have large numbers of obfuscated rings, the CDK writers
    seem to bork on these whereas the AMBIT ones don't).

    Ed.

    On 5 August 2013 09:57, Edmund Duesbury lip12ed@sheffield.ac.uk wrote:

    Cool that's good :)

    On 2 August 2013 13:45, John May jwmay@users.sf.net wrote:

    Fixed, thanks Ed.

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/
    http://sourceforge.net/p/cdk/bugs/1305/AnyOrderQueryBond matches null
    *
    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 11:45 AM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/ AnyOrderQueryBond
    matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/ AnyOrderQueryBond
    matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] http://sourceforge.net/p/cdk/bugs/1305/AnyOrderQueryBond matches null
    *
    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }

    Is this intentional - why should it match a bond that doesn't exist?
    Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }

    Ed.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    [bugs:#1305] AnyOrderQueryBond matches null

    Status: closed
    Created: Mon Jun 17, 2013 12:00 PM UTC by Duece99
    Last Updated: Fri Aug 02, 2013 12:45 PM UTC
    Owner: Egon Willighagen

    Hi,

    I noticed this in AnyOrderQueryBond.java :

    public boolean matches(IBond bond) {
    return true; // any bond order is fine
    }
    Is this intentional - why should it match a bond that doesn't exist? Perhaps this would be better:

    public boolean matches(IBond bond) {
    return bond != null; // any bond order is fine provided there is a bond
    }
    Ed.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1305/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1305

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks